;Minimal example
;===============
;The pdf_Create() is used here with the default values: 
;pages are in A4 portrait and the measure unit is millimeter. 
;It could have been specified explicitly with: pdf_Create("P","mm",#PDF_PAGE_FORMAT_A4) 
;It is possible to use landscape (L), other page formats (such as Letter and Legal) and measure units 
;(pt, cm, in). 
;
;There is no page for the moment, so we have to add one with pdf_AddPage(). The origin is at 
;the upper-left corner and the current position is by default placed at 1 cm from the borders; 
;the margins can be changed with pdf_SetMargins(). 

;Before we can print text, it is mandatory to select a font with pdf_SetFont(), otherwise the document 
;would be invalid. We choose Arial bold 16: 
;pdf_SetFont("Arial","B",16)
 
;We could have specified italics with I, underlined with U or a regular font with an empty string 
;(or any combination). Note that the font size is given in points, not millimeters 
;(or another user unit); it is the only exception. The other standard fonts are Times, Courier, Symbol 
;and ZapfDingbats. 

;We can now print a cell with pdf_Cell(). A cell is a rectangular area, possibly framed, which contains 
;some text. It is output at the current position. We specify its dimensions, its text 
;(centered or aligned), If borders should be drawn, and where the current position moves after it 
;(to the right, below or to the beginning of the next line). To add a frame, we would do this: 
;pdf_Cell(40,10,"Hello World !",1)
 
;To add a new cell next to it with centered text and go to the next line, we would do: 
;pdf_Cell(60,10,"Powered by PurePDF.",0,1,"C")
 
;Remark : the line break can also be done with pdf_Ln(). This method allows to specify in addition 
;the height of the break. 

;Finally, the document is saved as Tutorial01.pdf. 

#PurePDF_Include=1
XIncludeFile "PurePDF.pb"

Define file$="Tutorial01 Hello World.pdf"

pdf_Create()
pdf_AddPage()
pdf_SetFont("Arial","B",16)
pdf_Cell(40,10,"Hello World!",1)
pdf_Save(file$)
RunProgram(file$)

; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 45